Account Management
Users
GET
/
users
Users
curl --request GET \
--url https://demand.researchdesk.com/users \
--header 'Authorization: <api-key>'import requests
url = "https://demand.researchdesk.com/users"
headers = {"Authorization": "<api-key>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: '<api-key>'}};
fetch('https://demand.researchdesk.com/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"total_users": 9,
"page": 1,
"page_size": 50,
"users": [
{
"id": "1",
"name": "George P. Burdell",
"account_ids": [
"1",
"2",
"3"
]
}
]
}Rate limit: 10 requests/second
Query String Parameters
| Parameter | Description | Required | Example |
|---|---|---|---|
user_ids | Comma delimited value of user IDs to return. | No | ?user_ids=1,2,3 |
account_ids | Comma delimited value of account IDs for which associated user objects will be returned. | No | account_ids=1,2,3 |
page | Integer value of the page being retrieved | No; if omitted, the value defaults to 0 | ?page=2 |
page_size | Integer value dictating the number of objects returned per page. | No; if omitted, the value defaults to 50 | ?page_size=100 |
Authorizations
Authentication token to be sent directly in the Authorization header (no '' prefix).
Query Parameters
Comma-delimited list of User IDs to retrieve.
Comma-delimited list of Account IDs to filter users by.
Page number to retrieve. Defaults to 1.
Number of results per page. Defaults to 50.
Was this page helpful?
⌘I
Users
